Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 44217)
+++ apps/app_queue.c	(working copy)
@@ -2604,8 +2604,10 @@
 				ast_log(LOG_DEBUG, "app_queue: sendurl=%s.\n", url);
 			ast_channel_sendurl(peer, url);
 		}
-		if (qe->parent->setinterfacevar)
+		if (qe->parent->setinterfacevar) {
 				pbx_builtin_setvar_helper(qe->chan, "MEMBERINTERFACE", member->interface);
+				pbx_builtin_setvar_helper(qe->chan, "MEMBERNAME", member->membername);
+		}
 		if (!ast_strlen_zero(agi)) {
 			if (option_debug)
 				ast_log(LOG_DEBUG, "app_queue: agi=%s.\n", agi);
Index: doc/channelvariables.txt
===================================================================
--- doc/channelvariables.txt	(revision 44217)
+++ doc/channelvariables.txt	(working copy)
@@ -591,6 +591,8 @@
 ${INVALID_EXTEN} 	The invalid called extension (used in the "i" extension)
 ${LANGUAGE}	 	* Current language (Deprecated; use ${LANGUAGE()})
 ${LEN(VAR)}	 	* String length of VAR (integer)
+${MEMBERINTERFACE}	* The interface name of the queuemember that was chosen
+${MEMBERNAME}		* The member name of the queuemember that was chosen
 ${PRIORITY}	 	* Current priority in the dialplan
 ${PRIREDIRECTREASON} 	Reason for redirect on PRI, if a call was directed
 ${RDNIS}         	* Redirected Dial Number ID Service (Deprecated; use ${CALLERID(rdnis)})
Index: configs/queues.conf.sample
===================================================================
--- configs/queues.conf.sample	(revision 44217)
+++ configs/queues.conf.sample	(working copy)
@@ -124,6 +124,7 @@
 ;
 ; If set to yes, just prior to the caller being bridged with a queue member 
 ; the MEMBERINTERFACE variable will be set with the interface name (eg. Agent/1234)
+; and the MEMBERNAME variable will be set with the member name (eg. Joe Soap)
 ; of the queue member that was chosen and is now connected to be bridged with
 ; the caller
 ;
